# Update Creative by ID

Update an individual Creative by ID

Endpoint: PATCH /creatives/{id}
Security: cookieAuthStaging, cookieAuthProd

## Security:

  - `cookieAuthStaging` (unknown)
    apiKey in cookie tr-staging

  - `cookieAuthProd` (unknown)
    apiKey in cookie tr-production

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `audit` (object)

  - `audit.status` (string)
    Enum: "PENDING", "APPROVED", "DENIED"

  - `audit.message` (string)

  - `audit.category_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

  - `audit.tag_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

## Response 200:

  - `200` (unknown)
    A successful response.

## Response 200 fields (application/json):

  - `id` (string)
    Example: abc123

  - `audit` (object)

  - `audit.status` (string)
    Enum: "PENDING", "APPROVED", "DENIED"

  - `audit.message` (string)

  - `audit.category_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

  - `audit.tag_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

  - `audit.create_time` (string)
    Example: 2004-09-22T16:16:42Z

  - `audit.last_reviewed` (string)
    Example: 2004-09-22T16:16:42Z

  - `audit.last_reviewer` (string)
    Example: example@vistarmedia.com

  - `external_id` (string)
    Example: 67580557345947516864522a0863640c665f48614674

  - `network_id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `name` (string)
    Example: Some-Advertising-Campaign-2025.jpg

  - `processing_status` (string)
    Enum: "PROCESSING", "PROCESSED", "FAILED"

  - `advertiser_id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `thumbnail_url` (string)
    Example: https://transcodes.vistarmedia.com.s3.amazonaws.com/abc123/thumb.png

  - `duration_ms` (integer)
    Example: 1500

  - `seat_id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `bidder_id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `max_assets_per_day` (integer)

  - `type` (string)
    The media type of the asset of this Creative:
* `IMAGE`: A static image
* `VIDEO`: A video
* `AUDIO`: Audio-only
* `DYNAMIC`: Dynamic Creative bundle
* `SAGE_AND_ARCHER_DYNAMIC`: Legacy Dynamic Creative bundle
* `NONE`: No asset is associated with this Creative
* `UNKNOWN`: The asset is of an unknown type

  - `update_time` (string)
    Example: 2004-09-22T16:16:42Z

  - `archived` (boolean)

## Response 400 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 401 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 403 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 404 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

